<!doctype html>
<html lang="en">
<head>
    <title>Code coverage report for src/components/View/MyAccounts/DeleteAccount.vue</title>
    <meta charset="utf-8" />
    <link rel="stylesheet" href="../../../../prettify.css" />
    <link rel="stylesheet" href="../../../../base.css" />
    <meta name="viewport" content="width=device-width, initial-scale=1">
    <style type='text/css'>
        .coverage-summary .sorter {
            background-image: url(../../../../sort-arrow-sprite.png);
        }
    </style>
</head>
<body>
<div class='wrapper'>
  <div class='pad1'>
    <h1>
      <a href="../../../../index.html">all files</a> / <a href="index.html">src/components/View/MyAccounts/</a> DeleteAccount.vue
    </h1>
    <div class='clearfix'>
      <div class='fl pad1y space-right2'>
        <span class="strong">10% </span>
        <span class="quiet">Statements</span>
        <span class='fraction'>1/10</span>
      </div>
      <div class='fl pad1y space-right2'>
        <span class="strong">100% </span>
        <span class="quiet">Branches</span>
        <span class='fraction'>0/0</span>
      </div>
      <div class='fl pad1y space-right2'>
        <span class="strong">0% </span>
        <span class="quiet">Functions</span>
        <span class='fraction'>0/2</span>
      </div>
      <div class='fl pad1y space-right2'>
        <span class="strong">11.11% </span>
        <span class="quiet">Lines</span>
        <span class='fraction'>1/9</span>
      </div>
    </div>
  </div>
  <div class='status-line low'></div>
<pre><table class="coverage">
<tr><td class="line-count quiet">1
2
3
4
5
6
7
8
9
10
11
12
13
14
15
16
17
18
19
20
21
22
23
24
25
26
27
28
29
30
31
32
33
34
35
36
37
38
39
40
41
42
43
44
45
46
47
48
49
50
51
52
53
54
55
56
57
58
59
60
61
62
63</td><td class="line-coverage quiet"><span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-yes">1×</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-no">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-no">&nbsp;</span>
<span class="cline-any cline-no">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-no">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-no">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-no">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-no">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-no">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span></td><td class="text"><pre class="prettyprint lang-js">&lt;template&gt;
  &lt;modal name="delete-account"
         class="arcticmodal-container"
         :width="600"
         :height="250"
         @before-open="beforeOpen"&gt;
      &lt;div class="container m-header"&gt;
        &lt;div
          @click="close()"
          class="box-modal_close arcticmodal-close"&gt;&lt;/div&gt;
        &lt;div class="row"&gt;
          &lt;div class="column"&gt;
            &lt;h3&gt;{{ params.title }}&lt;/h3&gt;
          &lt;/div&gt;
        &lt;/div&gt;
      &lt;/div&gt;
      &lt;div class="container"&gt;
        &lt;p&gt;{{ params.questionText }}&lt;/p&gt;
        &lt;div class="row buttons"&gt;
          &lt;button @click="deleteAccount"&gt;Да&lt;/button&gt;
          &lt;button class="white" @click="close"&gt;Отменить&lt;/button&gt;
        &lt;/div&gt;
      &lt;/div&gt;
  &lt;/modal&gt;
&lt;/template&gt;
&lt;script&gt;
  let parent = {}
  export default {
    name: 'delete-account',
    data () {
<span class="cstat-no" title="statement not covered" >      return {</span>
        time: 0,
        duration: 5000,
        params: {}
      }
    },
    methods: {
      beforeOpen (event) {
<span class="cstat-no" title="statement not covered" >        parent = this.$paren</span>t
<span class="cstat-no" title="statement not covered" >        this.params = event.param</span>s
      },
      deleteAccount () {
<span class="cstat-no" title="statement not covered" >        this.$store.dispatch(this.params.action, {...this.params.card, isprimary: 1})</span>
          .catch((response) =<span class="fstat-no" title="function not covered" >&gt; {</span>
<span class="cstat-no" title="statement not covered" >            this.$store.commit('SET_ERRORS', {name: 'Ошибка', message: 'Пришла ошибка с бэка'}</span>)
            // console.log(that.$parent.$refs.errorBlock.scrollIntoView({block: 'end', behavior: 'smooth'}))
            // that.$parent.$refs.errorBlock.scrollIntoView({block: 'end', behavior: 'smooth'})
<span class="cstat-no" title="statement not covered" >            setTimeout(() =<span class="cstat-no" title="statement not covered" ><span class="fstat-no" title="function not covered" >&gt; parent.$refs.errorBlock.scrollIntoView({block: 'center', behavior: 'smooth'}</span></span>), 10</span>)
          })
<span class="cstat-no" title="statement not covered" >        this.$modal.hide('delete-account'</span>)
      },
      close () {
<span class="cstat-no" title="statement not covered" >        this.$modal.hide('delete-account'</span>)
      }
    }
  }
&lt;/script&gt;
&lt;style scoped&gt;
  .buttons {
    text-align: center
  }
&lt;/style&gt;
&nbsp;</pre></td></tr>
</table></pre>
<div class='push'></div><!-- for sticky footer -->
</div><!-- /wrapper -->
<div class='footer quiet pad2 space-top1 center small'>
  Code coverage
  generated by <a href="http://istanbul-js.org/" target="_blank">istanbul</a> at Fri Mar 23 2018 11:20:25 GMT+0300 (MSK)
</div>
</div>
<script src="../../../../prettify.js"></script>
<script>
window.onload = function () {
        if (typeof prettyPrint === 'function') {
            prettyPrint();
        }
};
</script>
<script src="../../../../sorter.js"></script>
</body>
</html>
